# Class ConflictException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when a conflict is encountered, such as a resource state mismatch or a duplicate entry.

    public class ConflictException : Exception, ISerializable

Inheritance
  object
  Exception
  ConflictException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ConflictException(string)

Initializes a new instance of the ConflictException class with a specified error message.

    public ConflictException(string message)

#### Parameters

`message` string

  The message that describes the error.

### ConflictException(ErrorMessage)

Initializes a new instance of the ConflictException class with a specified error message.

    public ConflictException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message that describes the conflict.